# No SOURCE spec-file
#
# Instructions:
# - install new Interlink
#
#
# pinoc
#
%define mozillalibdir %{_libdir}/%{name}
%define pluginsdir /usr/lib/mozilla/plugins

Summary:    Interlink mail/newsgroup client
Name:		interlink
Version:	52.9.7762
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/Mail
URL:		http://binaryoutcast.com/projects/interlink/
Source20: interlink.desktop
Source22: default48.png
#-----------------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no

%description
Interlink is a standalone mail and newsgroup client.


%prep
#Here we go!
cd %_builddir
wget -nc http://repository.binaryoutcast.com/projects/interlink/releases/latest/interlink-%{version}.linux-x86_64-gtk3.tar.xz
tar -xf interlink-%{version}.linux-x86_64-gtk3.tar.xz
%build
#nobuild


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


mkdir -p %{buildroot}%{mozillalibdir}
cp -r %name/* %{buildroot}%{mozillalibdir}


#compatibility links
mkdir -p %{buildroot}%{_bindir}
ln -fs %{_libdir}/%{name}/%{name} %{buildroot}%{_bindir}/interlink

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins


#icon
%{__install} -p -D %{SOURCE22} %{buildroot}%{_datadir}/pixmaps/interlink.png
%{__cp} %{buildroot}%{mozillalibdir}/chrome/icons/default/default16.png %{buildroot}/%{mozillalibdir}/icons/
for i in 16 32 48 ; do
mkdir -p %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
ln -sf %{mozillalibdir}/chrome/icons/default/default$i.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/interlink.png ;
done

#desktop file
desktop-file-install --vendor pclinuxos \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category Network \
  --add-category Email \
  --add-category X-MandrivaLinux-Internet-Mail \
  %{SOURCE20}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*


%files
%defattr(-,root,root)
%{_bindir}/*
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%changelog
* Wed May 26 2021 tex - 52.9.7762-1pclos2021
- new version

* Sat Nov 28 2020 tex - 52.9.7634-1pclos2020
- new version

* Fri May 31 2019 tex 52.9.7070-1pclos2019
- new 
